Show: Inherited Protected Private Deprecated

# ButtonCommandListItem Class

Uses:

- ButtonCommand

Defined in: `src/ui/react/src/components/buttons/button-command-list-item.jsx:4`

The ButtonCommandListItem class is a UI class that renders a ButtonCommand that can be used inside a list as an item, with a string representation of its behaviour.

## Index

### Methods

- _getClassName
- execCommand
- render

### Properties

- command
- description
- icon
- key static
- modifiesSelection

## Methods

### `_getClassName`

() String

Defined in `src/ui/react/src/components/buttons/button-command-list-item.jsx:55`

Returns the class name of Widget.

#### Returns:

String:

The class name of the Widget.

### `execCommand`

(

- `data`

)

Inherited from ButtonCommand: `src/ui/react/src/components/base/button-command.js:27`

Executes a CKEditor command and fires `actionPerformed` event.

#### Parameters:

- `data` Object=

  Optional data to be passed to CKEDITOR's `execCommand` method.

### `render`

() Object

Defined in `src/ui/react/src/components/buttons/button-command-list-item.jsx:43`

Lifecycle. Renders the UI of the button.

#### Returns:

Object:

The content which should be rendered.

## Properties

### `command`

String

Inherited from ButtonCommand: `src/ui/react/src/components/base/button-command.js:12`

The command that should be executed.

### `description`

String

Defined in `src/ui/react/src/components/buttons/button-command-list-item.jsx:16`

The command label or description to render in the list entry.

### `icon`

String

Defined in `src/ui/react/src/components/buttons/button-command-list-item.jsx:23`

The command icon to render in the list entry.

### `key`

String static

Defined in `src/ui/react/src/components/buttons/button-command-list-item.jsx:33`

The name which will be used as an alias of the button in the configuration.

Default: buttonCommandListItem

### `modifiesSelection`

Boolean

Inherited from ButtonCommand: `src/ui/react/src/components/base/button-command.js:19`

Indicates that the command may cause the editor to have a different.